Bug 72933 - libpng-1.0.14-0.6x.3 breaks apps from libgr-2.0.13-23
libpng-1.0.14-0.6x.3 breaks apps from libgr-2.0.13-23
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: libpng (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-29 03:42 EDT by Simon Matter
Modified: 2013-04-02 00:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 22:58:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Matter 2002-08-29 03:42:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [de] (X11; U; Linux 2.2.19-6.2.16 i686)

Description of problem:
After upgrading libpng to current errata libpng-1.0.14-0.6x.3, pnmtopng from
libgr-2.0.13-23 doesn't work anymore.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install errata libpng rpms
2. cat test.pnm | pnmtopng > /dev/null
3.
	

Actual Results:  libpng warning: Application was compiled with png.h from
libpng-1.0.6 or earlier
libpng warning: Application  is  running with png.c from libpng-1.0.14
libpng error: The png struct allocated by the application for writing is too
small.

Expected Results:  The file should have been converted without error.

Additional info:
Comment 1 Jonathan Blandford 2003-02-19 22:58:59 EST
Going through old libpng bugs.  Closing this.

Note You need to log in before you can comment on or make changes to this bug.